Macaulay2 » Documentation
Packages » Macaulay2Doc » analytic functions » cos
next | previous | forward | backward | up | index | toc

# cos -- compute the cosine

- Usage:
    `cos x`
    `cos I`
- Inputs:
  - x, a real number
  - I, a real interval
- Outputs:
  - a real number, the cosine of x
  - a real interval, an interval containing the cosines of points of I

## Description

    i1 : cos 2

    o1 = -.4161468365471424

    o1 : RR (of precision 53)

## Ways to use cos:

- `cos(CC)`
- `cos(RR)`
- `cos(RRi)`

## For the programmer

The object cos is a method function.

The source of this document is in /build/macaulay2-88fgJW/macaulay2-1.25.11+ds/M2/Macaulay2/packages/Macaulay2Doc/functions/cos-doc.m2:18:0.